#include <fmt/format.h>
#include <fstream>
#include <memory-map.hpp>
#include <hex.hpp>
#include <graphics.hpp>

std::ifstream::pos_type filesize(const char* filename)
{
  std::ifstream in(filename, std::ifstream::ate | std::ifstream::binary);
  return in.tellg(); 
}

inline auto map_file(const char* filename)
{
   return hv::memory_map(filesize(filename), filename);
}

int main(void)
{
  auto map = map_file("test.txt");
  auto memory = map.span();

  hv::print_screen(memory, 0);
  fmt::print("\n");
  
  return 0;
}
